Установите Eclipse IDE для java ee dev через apt-get. Является ли это возможным?

9

Я пытаюсь установить Eclipse IDE для разработчиков Java EE.

Я запускаю в терминале эту команду:

sudo apt-get install eclipse

Это успешно завершено.

Но когда я это вижу, устанавливается Eclipse Classic Version - не для разработчиков Java EE.

Итак, это мой вопрос: возможно ли установить Eclipse IDE для Java EE Dev с помощью команды apt-get ?

    
задан user471011 21.11.2011 в 15:56
источник

3 ответа

17

Нет, но вы можете обновить классическую версию, чтобы она была такой же, как Eclipse для версии J2EE. Лучший способ (который я знаю):
1. В Eclipse нажмите Справка - > Установите новое программное обеспечение ...
2. Нажмите Добавить ...
3. Введите адрес Ссылка и название - что угодно. 4.Установите инструменты разработчика JavaEE (в разделе «Инструменты для веб-сайтов, XML, JavaEE и OSGi»)
5 (Необязательно, но очень полезно). Установить клиент Marketplace (Инструменты общего назначения - > Клиент Marketplace).

Вот об этом, после этого вы должны иметь ту же среду, что и клиент, который вы загрузили с Eclipse.org.

    
ответ дан foxy 21.11.2011 в 16:08
источник
1

Eclipse поставляется с различными конфигурациями, но в качестве основного приложения всегда есть одно и то же «затмение». Это те же Eclipse с различными наборами плагинов, которые вы можете устанавливать, удалять и обновлять через менеджер пакетов, встроенный в Eclipse. Вот почему вы не можете найти Eclipse, который вы хотите, с помощью менеджера пакетов apt.

Вам также не нужно устанавливать eclipse или java (версию .bin с сайта Oracle), их можно распаковать в локальной папке, например, вы можете распаковать эти два в своей домашней папке, а затем добавить -vm для eclipse.ini или затмения запуска с опцией -vm , например:

\local\path\to\eclipse -vm \local\path\to\the\java\machine\used_by_eclipse
    
ответ дан Micro 21.11.2011 в 17:03
0

Если вы хотите настроить Eclipse с помощью Java, установите пакет Java Development Tools (JDT) для Eclipse.

sudo apt-get install eclipse-jdt

    
ответ дан Ajay Sharma 08.01.2013 в 07:57